Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class TaskStatus

    java.lang.Object
      com.compoze.exchange.TaskStatus

All Implemented Interfaces:
  java.io.Serializable

public class TaskStatus
extends java.lang.Object
implements java.io.Serializable

This class stores the values for a 'task status'. The internationalizable string values are stored in the `exchange_resources.properties` file (accessed through `ExchangeProperties`) and referenced by their key.

See Also:
  Serialized Form

Field Summary
`static TaskStatus` | `COMPLETED` This value represents the 'completed' task status.
`static TaskStatus` | `DEFERRED` This value represents the 'deferred' task status.
`static TaskStatus` | `IN_PROGRESS` This value represents the 'in progress' task status.
`static TaskStatus` | `NOT_STARTED` This value represents the 'not started' task status.
`static int` | `STORE_VALUE_COMPLETED` This value represents the 'completed' store value.
`static int` | `STORE_VALUE_DEFERRED` This value represents the 'deferred' store value.
`static int` | `STORE_VALUE_IN_PROGRESS` This value represents the 'in progress' store value.
`static int` | `STORE_VALUE_NOT_STARTED` This value represents the 'not started' store value.
`static int` | `STORE_VALUE_WAITING` This value represents the 'waiting' store value.
`static TaskStatus` | `WAITING` This value represents the 'waiting' task status.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static TaskStatus` | `get(int iStoreValue)` Gets the task status by its store value.
`static java.util.List` | `getList()` Gets the list of task status levels.
`java.lang.String` | `getName()` Gets the name of the task status using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the task status using the specified locale.
`int` | `getStoreValue()` Gets the value that's used to store the task status in the storage system.
`java.lang.Object` | `getStoreValueObject()` Gets the store value as an object.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STORE_VALUE_NOT_STARTED

    public static final int STORE_VALUE_NOT_STARTED

  This value represents the 'not started' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_IN_PROGRESS

    public static final int STORE_VALUE_IN_PROGRESS

  This value represents the 'in progress' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_COMPLETED

    public static final int STORE_VALUE_COMPLETED

  This value represents the 'completed' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_WAITING

    public static final int STORE_VALUE_WAITING

  This value represents the 'waiting' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_DEFERRED

    public static final int STORE_VALUE_DEFERRED

  This value represents the 'deferred' store value.

  See Also:
    Constant Field Values

### NOT_STARTED

    public static final TaskStatus NOT_STARTED

  This value represents the 'not started' task status.

### IN_PROGRESS

    public static final TaskStatus IN_PROGRESS

  This value represents the 'in progress' task status.

### COMPLETED

    public static final TaskStatus COMPLETED

  This value represents the 'completed' task status.

### WAITING

    public static final TaskStatus WAITING

  This value represents the 'waiting' task status.

### DEFERRED

    public static final TaskStatus DEFERRED

  This value represents the 'deferred' task status.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the task status using the system default locale.

  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the task status using the specified locale.

  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public int getStoreValue()

  Gets the value that's used to store the task status in the storage system.

  Returns:
    the store value

### getStoreValueObject

    public java.lang.Object getStoreValueObject()

  Gets the store value as an object.

  Returns:
    the store value

### get

    public static TaskStatus get(int iStoreValue)

  Gets the task status by its store value.

  Parameters:
    `iStoreValue` - the store value to get by
  Returns:
    the matching task status or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of task status levels.

  Returns:
    the list of `TaskStatus`es (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.